##################################################
#	Bent Nielsen
#	16 April 2020
#
#	Now-casting COVID-19 fatalities: track by death-date (not by report-date)
#	SM Bird and B Nielsen
#
#	Uses data NHS data for England from
#	https://www.england.nhs.uk/statistics/statistical-work-areas/covid-19-daily-deaths/
#
#	along with some older data.

##################################################
#	getting started
##################################################
#	set directory where files are store
#   ex: drive <- "c:/datadirectory/"
drive.r 	<- "c:/mylibrary/r/"
drive.data	<- "c:/mylibrary/data/"
drive.plot	<- "c:/mylibrary/plot/"
#
drive.r 	<- "c:/users/nielsen/documents/tex/covid/r/"
drive.data	<- "c:/users/nielsen/documents/tex/covid/data/"
drive.plot	<- "c:/users/nielsen/documents/tex/covid/plot/"
#
datafile	<- "CovidReportingNHS.xlsx"

#	attach libraries
library(apc)
library(openxlsx)
library(grDevices)

##################################################
#	save plot in file?
##################################################

l.save.plot.as.svg	<- TRUE

##################################################
#	choose region
##################################################

date	<- Sys.Date()
date	<- "2020-04-16"
#region	<- "England"
#region	<- "EastOfEngland"
#region	<- "London"
#region	<- "Midlands"	
#region	<- "NorthEastAndYorkshire"
#region	<- "NorthWest"
#region	<- "SouthEast"
region	<- "SouthWest"

##################################################
#	suppress warnings when calling apc.data.list.subset
##################################################
suppress.warning	<- TRUE


##################################################
#	run programs
##################################################

source(paste(drive.r,"CovidReporting_GetData_16apr2020.r",sep=""))
source(paste(drive.r,"CovidReporting_Plot_Delay_16apr2020.r",sep=""))
	if(l.save.plot.as.svg==FALSE)	dev.new()
source(paste(drive.r,"CovidReporting_AC_analysis_16apr2020.r",sep=""))
source(paste(drive.r,"CovidReporting_AC_nowcast_16apr2020.r",sep=""))
